LINUX.ORG.RU

Как указать минимально совместимую версию пакета Debian?

 


0

1

Есть пакет A, который для некоторых доп-фич требует пакет B.

Версия Na пакета A требует версии Nb пакета B. Если просто указать, что A требует B по зависимостям, то B будет всегда ставиться, а этого делать не хочется, всё таки доп-фича.

Как правильно указать, что если ставить B или если B уже стоит, то нужна конкретная версия?

Ответ на: комментарий от max_lapshin

Вместо Recommends, возможно, лучше указать Suggests — см. раздел 7.2 Debian Packaging Manual.

Oxana ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.